import React from 'react';
import type { Breakpoints } from '../WidthProvider';
export declare function mapBreakpointToLayoutMaxWidth(breakpoint: Breakpoints): 680 | 760;
type BaseThemeWrapperProps = {
    baseFontSize?: number;
    breakpoint: Breakpoints;
    children: React.ReactNode;
};
declare module '@emotion/react' {
    interface Theme {
        baseFontSize: number;
        layoutMaxWidth: number;
    }
}
export declare function BaseThemeWrapper({ baseFontSize, children, }: BaseThemeWrapperProps): React.JSX.Element;
type BaseThemeProps = {
    baseFontSize?: number;
    children: React.ReactNode;
};
export declare function BaseTheme({ children, baseFontSize }: BaseThemeProps): React.JSX.Element;
export {};
